Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | Public Attributes | List of all members
cutlass::ZipTileAllocation< First_, Second_ > Struct Template Reference

Manages a pair of tile allocations as if they are one allocation.

`#include <tile_allocation.h>`

## Public Types
typedef First_ | First
| First tensor allocation. More...
typedef Second_ | Second
| Second tensor allocation. More...
typedef ZipTensorRef< typename First::TensorRef, typename Second::TensorRef > | TensorRef
| Defines the tensor reference for this allocation. More...
typedef ZipTensorRef< typename First::ConstTensorRef, typename Second::ConstTensorRef > | ConstTensorRef
| Defines the tensor reference for this allocation. More...

## Public Member Functions
CUTLASS_DEVICE TensorRef | reference ()
| Returns a TensorRef object pointing to the data. More...
CUTLASS_DEVICE ConstTensorRef | reference () const
| Returns a TensorRef object pointing to the data. More...

## Public Attributes
First | first
| First tensor allocation. More...
Second | second
| Second tensor allocation. More...

## Member Typedef Documentation

## ◆ ConstTensorRef

template<typename First_ , typename Second_ >

typedef ZipTensorRef<typename First::ConstTensorRef, typename Second::ConstTensorRef> cutlass::ZipTileAllocation< First_, Second_ >::ConstTensorRef

## ◆ First

template<typename First_ , typename Second_ >

typedef First_ cutlass::ZipTileAllocation< First_, Second_ >::First

## ◆ Second

template<typename First_ , typename Second_ >

typedef Second_ cutlass::ZipTileAllocation< First_, Second_ >::Second

## ◆ TensorRef

template<typename First_ , typename Second_ >

typedef ZipTensorRef<typename First::TensorRef, typename Second::TensorRef> cutlass::ZipTileAllocation< First_, Second_ >::TensorRef

## Member Function Documentation

## ◆ reference() [1/2]

template<typename First_ , typename Second_ >

CUTLASS_DEVICE TensorRef cutlass::ZipTileAllocation< First_, Second_ >::reference | ( |  | ) |
| inline

## ◆ reference() [2/2]

template<typename First_ , typename Second_ >

CUTLASS_DEVICE ConstTensorRef cutlass::ZipTileAllocation< First_, Second_ >::reference | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ first

template<typename First_ , typename Second_ >

First cutlass::ZipTileAllocation< First_, Second_ >::first

## ◆ second

template<typename First_ , typename Second_ >

Second cutlass::ZipTileAllocation< First_, Second_ >::second

The documentation for this struct was generated from the following file:

- tile_allocation.h